package com.engine.junchuang.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.junchuang.service.OrgChartService;
import com.engine.junchuang.service.OrgChartServiceImpl;
import weaver.hrm.User;

import java.util.Map;

/**
 * @Author ml
 * @Date 2023/3/2 14:29
 * @Description This is description of class
 * @Since version-1.0
 */
public class OrgChartWrapper extends Service {

    private OrgChartService getOrgChartService(User user) {
        return ServiceUtil.getService(OrgChartServiceImpl.class, user);
    }

    public Map<String, Object> getOptionCondition(Map<String, Object> request2Map, User user) {
        return getOrgChartService(user).getOptionCondition(request2Map, user);
    }

    public String syncOrgMapData(Map<String, Object> request2Map) {
        return getOrgChartService(user).syncOrgMapData(request2Map, user);
    }
}
